2021-12-08 06:16:28

by Zhou, Jie2X

[permalink] [raw]
Subject: [PATCH] selftests: net: Correct ping6 expected rc from 2 to 1

From: zhoujie <[email protected]>

./fcnal-test.sh -v -t ipv6_ping
TEST: ping out, VRF bind - ns-B IPv6 LLA [FAIL]
TEST: ping out, VRF bind - multicast IP [FAIL]

ping6 is failing as it should.
COMMAND: ip netns exec ns-A /bin/ping6 -c1 -w1 fe80::7c4c:bcff:fe66:a63a%red
strace of ping6 shows it is failing with '1',
so change the expected rc from 2 to 1.

Fixes: c0644e71df33 ("selftests: Add ipv6 ping tests to fcnal-test")
Reported-by: kernel test robot <[email protected]>
Suggested-by: David Ahern <[email protected]>
Signed-off-by: Jie2x Zhou <[email protected]>
---
tools/testing/selftests/net/fcnal-test.sh | 2 +-
1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tools/testing/selftests/net/fcnal-test.sh b/tools/testing/selftests/net/fcnal-test.sh
index 7f5b265fcb90..966787c2f9f0 100755
--- a/tools/testing/selftests/net/fcnal-test.sh
+++ b/tools/testing/selftests/net/fcnal-test.sh
@@ -2191,7 +2191,7 @@ ipv6_ping_vrf()
log_start
show_hint "Fails since VRF device does not support linklocal or multicast"
run_cmd ${ping6} -c1 -w1 ${a}
- log_test_addr ${a} $? 2 "ping out, VRF bind"
+ log_test_addr ${a} $? 1 "ping out, VRF bind"
done

for a in ${NSB_IP6} ${NSB_LO_IP6} ${NSB_LINKIP6}%${NSA_DEV} ${MCAST}%${NSA_DEV}
--
2.31.1



2021-12-09 01:23:12

by Jakub Kicinski

[permalink] [raw]
Subject: Re: [PATCH] selftests: net: Correct ping6 expected rc from 2 to 1

On Wed, 8 Dec 2021 14:15:18 +0800 Jie2x Zhou wrote:
> From: zhoujie <[email protected]>

> Signed-off-by: Jie2x Zhou <[email protected]>

Ah, so you are the same person, I was wondering :)

You need to either drop the From: with the fujitsu address (git commit
--amend --reset-autor) or sign off the patch with the Intel address.
Right now both your name is spelled differently and the address is
different so the patch will trigger warnings.